Name:		gdk-pixbuf-psd
Version:	0.1.0
Release:	1%{?dist}
Summary:	GdkPixbuf loader for the PSD file format

# io-psd.c et al.
License:	LGPLv2+
URL:		http://cgit.sukimashita.com/gdk-pixbuf-psd.git/
Source0:	http://cgit.sukimashita.com/gdk-pixbuf-psd.git/snapshot/%{name}-%{version}.tar.bz2

BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	gdk-pixbuf2-devel
Requires(post):	gdk-pixbuf2

%description
This project aims to provide a GdkPixbuf loader for the PSD file format.

GdkPixbuf is part of GTK and applications like Eye of GNOME and gThumb use it
to handle image loading. The loader provided by this project will let those
applications open PSD images and enable thumbnails in nautilus, too.

The loader supports:
- RGB and CYMK images
- RLE compression
- 8 and 16 bit color depths

%prep
%setup -q
env NOCONFIGURE=1 sh autogen.sh

%build
%configure --disable-silent-rules
make %{?_smp_mflags}

%install
%make_install
find %buildroot -name \*.la -or -name \*.a | xargs rm -f

%post
gdk-pixbuf-query-loaders-%{__isa_bits} --update-cache || :

%postun
if [ $1 -gt 0 ]; then
	gdk-pixbuf-query-loaders-%{__isa_bits} --update-cache || :
fi

%files
%doc	COPYING.LESSER
#%%doc	README # Currently empty
%doc	README

%{_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-psd.so

%changelog
* Sun Jan 20 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.1.0-1
- Initial packaging
